export interface Comment {
    post_id: string;
    author: string;
    content: string;
    created_at: string;
    status?: CommentStatus;
}
export declare type CommentStatus = 'sending' | 'added' | 'delivered-awaiting-approval' | 'failed';
export interface UseCommentsError {
    error: string;
    details: string;
}
export interface UseCommentsConfig {
    limit?: number;
    offset?: number;
}
export declare const useComments: (hasuraUrl: string, postId: string, config?: UseCommentsConfig | undefined) => {
    comments: Comment[];
    addComment: ({ content, author, }: Pick<Comment, 'content' | 'author'>) => void;
    refetch: () => void;
    count: number;
    loading: boolean;
    error: UseCommentsError | null;
};
